import { Component } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-register',
  templateUrl: './register.component.html',
  styleUrls: ['./register.component.scss', '../auth.component.scss']
})
export class RegisterComponent {
  registerForm = new FormGroup({
    username: new FormControl(''),
    password: new FormControl(''),
    rePassword: new FormControl('')
  });

  constructor() {
    this.registerForm.addValidators([Validators.required, Validators.minLength(3)]);
  }

  register() {
    if (!this.registerForm.valid) alert("failed to register");
  }
}
