import { Component } from '@angular/core';
import { Post } from '../../model/Post';
import { User } from '../../model/User';

@Component({
  selector: 'app-user',
  templateUrl: './user.component.html',
  styleUrl: './user.component.scss'
})
export class UserComponent {
  exampleUser: User = {
    username: "Zámbó Jimmy",
    picture: "assets/placeholder-profile-picture.png",
    followed: true
  }

  posts: Array<Post> = new Array<Post>(
    {
      user: this.exampleUser,
      content: "Bukott diák vagyok én, nem bírom el a szenvedést.",
      image: "assets/placeholder-profile-picture.png",
      likes: 1,
      liked: true
    },
    {
      user: this.exampleUser,
      content: "Bukott diák vagyok én, nem bírom el a szenvedést.",
      image: "assets/placeholder-profile-picture.png",
      likes: 1,
      liked: true
    },
    {
      user: this.exampleUser,
      content: "Bukott diák vagyok én, nem bírom el a szenvedést.",
      image: "assets/placeholder-profile-picture.png",
      likes: 1,
      liked: true
    },
    {
      user: this.exampleUser,
      content: "Bukott diák vagyok én, nem bírom el a szenvedést.",
      image: "assets/placeholder-profile-picture.png",
      likes: 1,
      liked: true
    },
  );
}
